﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace AutoBarnTraper
{
    public partial class AutoBarnTraperGui : Form
    {
        public Hashtable trap = new Hashtable();
        String trapperFileName="Plugins\\AutoBarnTraper\\TrapBeast.txt";

        public AutoBarnTraperGui()                                   
        {
            InitializeComponent();
        }

        void addRow(bool trap,String entry, String name, string defaultZone, String distance) {
            int index = trappEntries.Rows.Add();
            trappEntries.Rows[index].Cells[0].Value = trap;
            trappEntries.Rows[index].Cells[1].Value = entry;
            trappEntries.Rows[index].Cells[2].Value = name;
            trappEntries.Rows[index].Cells[3].Value = defaultZone;
            trappEntries.Rows[index].Cells[4].Value = distance;
        
        }


        private void AutoBarnTraperGui_Load(object sender, EventArgs e)
        {
            foreach (object key_ in trap.Keys) {
                uint key = (uint)key_;
                String str=(string)trap[key];
                string [] val=str.Split(';');
                //debugText.AppendText("4");
                addRow(true, key.ToString(), val[0], val[1],val[2]);
            }
        }


        
        private void saveToFileButton_Click(object sender, EventArgs e)
        {
            
            System.IO.StreamWriter file = new System.IO.StreamWriter(trapperFileName);
            int row = 0;

            for (row=0; row < trappEntries.RowCount; row++)
            {
                String rowText = trappEntries.Rows[row].Cells[0].Value + ";" + trappEntries.Rows[row].Cells[1].Value + ";" + trappEntries.Rows[row].Cells[2].Value + ";" + trappEntries.Rows[row].Cells[3].Value + ";" + trappEntries.Rows[row].Cells[4].Value;
                if (rowText.Trim() != ";;;")
                {
                    file.WriteLine(rowText);
                }
            }
            file.Close();
        }



    }
}
